MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028062Open CASCADE[OCCT] OCCT:Samplespublic2016-11-07 19:512016-12-09 16:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028062: Samples - Shading model functionality does not work in mfc Viewer3d
DescriptionShading model functionality does not work in mfc sample Viewer3d
Steps To Reproduce• Create a sphere using button "Sphere"
• Try to change shading model
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon Shading_model.jpg (65,676 bytes) 2016-11-07 19:51

- Relationships
related to 0028069closedbugmaster Visualization, TKOpenGl - handle flat shading model within GLSL programs 
child of 0027715closedbugmaster Visualization - turn off deprecated OpenGL fixed-function pipeline by default 

-  Notes
(0059979)
git (administrator)
2016-11-08 10:16

Branch CR28062 has been created by kgv.

SHA-1: 7f2fea8694033c7180d3ad3db428d93512c42921


Detailed log of new commits:

Author: kgv
Date: Tue Nov 8 10:14:49 2016 +0300

    0028062: Samples - Shading model functionality does not work in mfc Viewer3d
    
    Unsupported shading models have been removed from the sample dialog.
(0059980)
kgv (developer)
2016-11-08 10:17

Patch is ready for review.
(0060110)
mkv (tester)
2016-11-09 14:35

Dear kgv,
could you please rebase branch CR28062 on current master, there are conflict files.
SHA-1: 7f2fea8694033c7180d3ad3db428d93512c42921

(0060111)
kgv (developer)
2016-11-09 14:41

The patch is already in a master branch.
(0060139)
apn (administrator)
2016-11-09 17:30

Tested in scope of CR0-2016-11-09.
(0061272)
git (administrator)
2016-12-07 11:31

Branch CR28062 has been deleted by kgv.

SHA-1: 7f2fea8694033c7180d3ad3db428d93512c42921

- Related Changesets
occt: master 3bae95c8
Timestamp: 2016-11-08 07:14:49
Author: abv
Committer: abv
Details ] Diff ]
0028062: Samples - Shading model functionality does not work in mfc Viewer3d

Unsupported shading models have been removed from the sample dialog.
mod - samples/mfc/standard/04_Viewer3d/res/Viewer3d.rc Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 19:51 ski New Issue
2016-11-07 19:51 ski Assigned To => abv
2016-11-07 19:51 ski File Added: Shading_model.jpg
2016-11-08 10:07 kgv Relationship added child of 0027715
2016-11-08 10:16 git Note Added: 0059979
2016-11-08 10:17 kgv Note Added: 0059980
2016-11-08 10:17 kgv Status new => resolved
2016-11-08 10:17 kgv Target Version 7.2.0 => 7.1.0
2016-11-08 10:30 kgv Relationship added related to 0028069
2016-11-08 12:55 kgv Assigned To abv => bugmaster
2016-11-08 12:55 kgv Status resolved => reviewed
2016-11-08 14:20 kgv Product Version => 7.1.0
2016-11-09 12:56 mkv Assigned To bugmaster => mkv
2016-11-09 14:35 mkv Note Added: 0060110
2016-11-09 14:35 mkv Status reviewed => feedback
2016-11-09 14:35 mkv Test case number => Not needed
2016-11-09 14:37 mkv Assigned To mkv => kgv
2016-11-09 14:41 kgv Note Added: 0060111
2016-11-09 14:41 kgv Assigned To kgv => bugmaster
2016-11-09 17:11 mkv Assigned To bugmaster => mkv
2016-11-09 17:30 apn Note Added: 0060139
2016-11-09 17:30 apn Status feedback => tested
2016-11-09 17:31 apn Assigned To mkv => bugmaster
2016-11-09 17:32 mkv Assigned To bugmaster => mkv
2016-11-09 17:32 mkv Status tested => reviewed
2016-11-09 17:33 mkv Assigned To mkv => bugmaster
2016-11-09 17:33 mkv Status reviewed => tested
2016-11-09 17:43 abv Changeset attached => occt master 3bae95c8
2016-11-09 17:43 abv Assigned To bugmaster => abv
2016-11-09 17:43 abv Status tested => verified
2016-11-09 17:43 abv Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061272
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker